---
title: Back End Engineer
icon: settings
desc: As a back end engineer, your mission is to create and maintain useful services. You'll work with data in various forms and transform it into meaningful information.
---

# Back End Engineer
---

### About the company
Simple Systems is a software company.
Our mission is to deliver simple solutions for complex problems.

### About the job
As a back end engineer, your mission is to create and maintain useful services.
You'll work with data in various forms and transform it into meaningful information.
Project leaders will come to you with complex problems that need simple solutions.

#### Expectations
* Reduce [complexity](https://simplesystems.tech/blog/complexity)
* Work with project leaders to gain understanding of their vision
* Support front end engineers by delivering the information they need
* Own the code you write
* Review code from other engineers
* Suggest improvements throughout codebase
* Be open to suggestions for your code

#### Competencies
* Ownership mentality: Take responsibility for what you do.
* Clear communication: Software engineering is a team process.  Be able to communicate with teammates.
* Constant learning: Keep up to date on technologies.
* Lazy programming: Think before you code.
* Testing: Unit tests are a must.  Testing logic is important too.
* Documentation: Other engineers should be able to pick up your code without hassle.
* Currently, we use Go, gRPC, and SQL, but are more concerned with fundamentals than specific technology.

### Interested?
Email a resume and brief description about yourself to jobs@simplesystems.tech. 
